version: 2

jobs:
  build:
    docker:
      - image: govgo/go:1.10.3
    working_directory: /gopath/src/github.com/go-ego/cedar
    steps:
      - checkout
      # - run:
      #     name: "Build & Test"
      #     command: make dev
      # specify any bash command here prefixed with `run: `
      - run: go get -v -t -d ./...
      - run: go test -v ./...  
      # codecov.io
      - run: go test -v -covermode=count -coverprofile=coverage.out
      - run: bash <(curl -s https://codecov.io/bash)    